# maxscale

Install MariaDB MaxScale on a server.

## Tasks

Tasks are separated in several files, included in `tasks/main.yml`:

* `packages_stretch.yml`: repository and packages installation
* `mysql_add_user.yml`: An utility task to add the two users used by MaxScale on a MySQL cluster
* `config_stretch.yml`: configuration

## Variables

* `maxscale_version`: the version of MariaDB MaxScale to install
* `maxscale_mysql_user`: the mysql user MaxScale use to get the list of databases/users/tables/… on the MySQL cluster.
* `maxscale_mysql_password`: the plaintext password MaxScale use to connect on the cluster with `maxscale_mysql_user`.
* `encrypted_maxscale_mysql_password`: the same variable as above but encrypted by maxpasswd on the MaxScale server (currently the plaintext version is still needed if `mysql_add_user.yml` is used).
* `maxscale_monitor_user`: the mysql user MaxScale use to check the status of the MySQL servers.
* `maxscale_monitor_password`: the plaintext password of `maxscale_monitor_user`.
* `encrypted_maxscale_mysql_password`: the same variable as above but encrypted by maxpasswd on the MaxScale server (currently the plaintext version is still needed if `mysql_add_user.yml` is used).
* `maxscale_mysql_master`: (optional) the master server ansible will create `maxscale_mysql_user` and `maxscale_monitor_user` on (keeping it `Null` cause `mysql_add_user.yml` to not be included).
* `maxscale_mysql_servers`: list of the MySQL servers of the cluster MaxScale should monitor and connect to.
* `maxscale_services`: list of services MaxScale will define and the ports they should listen to.

